'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  return {
    visitor: {
      CallExpression: function CallExpression(path, file) {
        if (path.get('callee').matchesPattern('Object.assign')) {
          path.node.callee = file.addImport('lodash/assign', 'default', 'assign');
        }
      }
    }
  };
};